Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 242858 - Default paper size is A4 instead of Letter in en_CA
Summary: Default paper size is A4 instead of Letter in en_CA
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: hal-cups-utils
Version: 7
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: F7Update
TreeView+ depends on / blocked
 
Reported: 2007-06-06 04:58 UTC by vfiend
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: 0.6.9.2-1.fc7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-13 21:05:44 UTC


Attachments (Terms of Use)

Description vfiend 2007-06-06 04:58:28 UTC
Description of problem: Be gentle because i'm not sure if this is a s-c-printer
bug or a system-level bug, but with the en_CA locale, paper size defaults to A4
when it should default to letter.


Version-Release number of selected component (if applicable): 0.7.63.1-1.fc7.x86_64

Comment 1 Tim Waugh 2007-06-06 08:44:44 UTC
What does this say?:

cat /etc/sysconfig/i18n

Also, how precisely did you add the queue?  Which driver did you use? (A
different method of adding the printer is used depending on whether CUPS already
has the PPD or whether we generate it from Foomatic.)


Comment 2 vfiend 2007-06-06 08:54:01 UTC
$ cat /etc/sysconfig/i18n
LANG="en_CA.UTF-8"
SYSFONT="latarcyrheb-sun16"


I turned on my usb printer and opened s-c-printer. It seemed to have added it
automatically under 'Local Printers' with no effort required on my part (which
was shockingly awesome) but it defaulted to A4 size paper instead of letter.

I'm not sure how it was generated but 'Make and model' says "Canon iP4000
Foomatic/gutenprint-ijs-simplified.5.0 (recommended)"

Comment 3 Tim Waugh 2007-06-06 09:07:33 UTC
Ah, okay, that comes from hal-cups-utils.  Should be easy to fix.

Comment 4 Tim Waugh 2007-06-07 16:47:33 UTC
Fixed in CVS.

Comment 5 Fedora Update System 2007-06-08 15:53:45 UTC
hal-cups-utils-0.6.9.1-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Comment 6 vfiend 2007-06-08 23:40:57 UTC
Works perfectly now, thanks

Comment 7 Fedora Update System 2007-06-11 22:04:08 UTC
hal-cups-utils-0.6.9.2-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Tim Waugh 2007-06-11 22:13:06 UTC
(I updated it just to fix another small bug elsewhere in the package.)

Comment 9 Fedora Update System 2007-06-13 21:05:38 UTC
hal-cups-utils-0.6.9.2-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.